Name: kde-edu-analitza
Summary: MathML-based graph calculator
Version: 4.14.3
Release: %mkrel 3
Group: Graphical desktop/KDE4
License: GPLv2+
URL: https://projects.kde.org/projects/kde/kdeedu/analitza
Source0: ftp://ftp.kde.org/pub/kde/%{stable}/%{version}/src/analitza-%version.tar.xz
BuildRequires: kdelibs-devel >= 4.14.7
BuildRequires: %{_lib}readline-devel
Requires: kdelibs >= %{version}
Provides:  kde-edu-kalgebra-libs = %{version}-%{release} 

%description
KAlgebra is a mathematical calculator based content markup MathML
language. Nowadays it is capable to make simple MathML operations
(arithmetic and logical) and representate 2D and 3D graphs. It is
actually not necessary to know MathML to use KAlgebra.

%package devel
Summary: Developer files for %{name}
Summary(de): Entwicklerdateien für %{name}
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: kdelibs-devel

%description devel
%{summary}.

%files
%doc COPYING TODO
%defattr(-,root,root)
%{_kde_bindir}/calgebra
%{_kde_libdir}/libanalitza.so.5*
%{_kde_libdir}/libanalitzagui.so.5*
%{_kde_libdir}/libanalitzaplot.so.5*
%{_datadir}/apps/libanalitza/plots/*.plots

%files devel
%defattr(-,root,root)
%{_kde_includedir}/analitza/
%{_kde_includedir}/analitzagui/
%{_kde_includedir}/analitzaplot/
%{_kde_libdir}/libanalitza.so
%{_kde_libdir}/libanalitzaplot.so
%{_kde_libdir}/libanalitzagui.so
%{_kde_libdir}/cmake/analitza/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q -n analitza-%version

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

%clean
rm -fr %buildroot

%changelog
* Tue Jul 21 2015 pinoc <vogtpet at gmail.com> 4.14.3-3pclos2015
- rebuild on 15.04.3

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 4.14.3-2pclos2015
- rebuild on 15.04

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

* Wed Mar 05 2014 pinoc <vogtpet at gmail.com> 4.12.3-1pclos2014
- 4.12.3

* Wed Jan 08 2014 pinoc <vogtpet at gmail.com> 4.11.5-1pclos2014
- 4.11.5

* Wed Nov 06 2013 pinoc <vogtpet at gmail.com> 4.11.3-1pclos2013
- 4.11.3

* Tue Jul 2 2013 pinoc <vogtpet at gmail.com> 4.10.5-1pclos2013
- 4.10.5

* Tue Jun 5 2013 pinoc <vogtpet at gmail.com> 4.10.4-1pclos2013
- 4.10.4

* Tue Mar 12 2013 pinoc <vogtpet at gmail.com> 4.10.1-1pclos2013
- 4.10.1

* Thu Jan 17 2013 pinoc <vogtpet at gmail.com> 4.9.5-1pclos2013
- 4.9.5

* Wed Oct 10 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.9.2-1_archie_2012
- update

* Tue Sep 11 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.9.1-1_archie_2012
- update

* Sat Aug 04 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.9.0-1_archie_2012
-update

* Fri Jun 01 2012 Neal <nealbrks0 at gmail dot com> 4.8.3-2pclos2012
- process

* Sat May 05 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.3-2_archie_2012
- Rebuild against new packages

* Sat May 05 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.3-1_archie_2012
- 4.8.3

* Sat Apr 14 2012 Neal <nealbrks0 at gmail dot com> 4.8.2-1pclos2012
- process

* Sat Apr 14 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.2-1_archie_2012
- 4.8.2

* Tue Feb 21 2012 Neal <nealbrks0 at gmail dot com> 4.8.0-1pclos2012
- process

* Sun Feb 19 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.0-1_archie_2011
- Checked build for x86_64

* Fri Feb 17 2012 leiche <meisssw91 at gmail.com> 4.8.0-1pclos2012
- 4.8.0
